# Uses of Interface
org.eclipse.e4.ui.model.application.descriptor.basic.MPartDescriptor

Packages that use MPartDescriptor
Package
Description
org.eclipse.e4.ui.model.application.descriptor.basic
Application programming interfaces describing the Eclipse 4 descriptor model elements.
org.eclipse.e4.ui.workbench.modeling
Application programming interfaces describing the Eclipse 4 model services.

## Uses of MPartDescriptor in org.eclipse.e4.ui.model.application.descriptor.basic

Methods in org.eclipse.e4.ui.model.application.descriptor.basic that return MPartDescriptor
Modifier and Type
Method
Description
`MPartDescriptor`
MBasicFactory.`createPartDescriptor()`
Returns a new object of class 'Part Descriptor'.
Methods in org.eclipse.e4.ui.model.application.descriptor.basic that return types with arguments of type MPartDescriptor
Modifier and Type
Method
Description
`List<MPartDescriptor>`
MPartDescriptorContainer.`getDescriptors()`
Returns the value of the 'Descriptors' containment reference list.

## Uses of MPartDescriptor in org.eclipse.e4.ui.workbench.modeling

Methods in org.eclipse.e4.ui.workbench.modeling that return MPartDescriptor
Modifier and Type
Method
Description
`MPartDescriptor`
EModelService.`getPartDescriptor(String id)`
Returns the descriptor for the given part id.
Methods in org.eclipse.e4.ui.workbench.modeling with parameters of type MPartDescriptor
Modifier and Type
Method
Description
`MPart`
EModelService.`createPart(MPartDescriptor descriptor)`
Creates a new part from the given descriptor.